//=========================================================================
// INDEX
//=========================================================================
//test
//sky
//phong
//glass
//floor
//detail
//foliage
//other
//stones
//gems
//poster
//decals
//=========================================================================




//=========================================================================
//test
//=========================================================================
textures/exhibition/light_red
{
	polygonoffset
	qer_editorimage textures/exhibition/light_red.tga
	{
		map textures/exhibition/light_red.tga
		rgbGen wave sin 1 1 1 0.5
		blendfunc add
	}
}

textures/exhibition/light_green
{
	polygonoffset
	qer_editorimage textures/exhibition/light_green.tga
	{
		map textures/exhibition/light_green.tga
		rgbGen wave sin 1 1 1 1
		blendfunc add
	}
}

textures/exhibition/wood_2_hi_res_lightmap
{
  qer_editorimage textures/exhibition/wood_2.tga
  q3map_lightmapSize 512 512
  {
    tcgen lightmap
    map $lightmap
    rgbGen identity
  }
  {
    map textures/exhibition/wood_2.tga
    blendFunc filter
  }
}

textures/exhibition/wood_2_no_lightmap
{
  qer_editorimage textures/exhibition/wood_2.tga
  q3map_nolightmap
  {
    map textures/exhibition/wood_2.tga
  }
}

textures/exhibition/lightmap
{
	polygonoffset
  {
	map textures/exhibition/lightmap.tga
	blendfunc filter
  }
}

textures/exhibition/tiles2_hi_res_lightmap
{
  qer_editorimage textures/exhibition/tiles2.tga
  q3map_lightmapSize 512 512
  {
    tcgen lightmap
    map $lightmap
    rgbGen identity
  }
  {
    map textures/exhibition/tiles2.tga
    blendFunc filter
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/red_carpet_hi_res_lightmap
{
  qer_editorimage textures/exhibition/carpet.tga
  q3map_lightmapSize 512 512
  {
    tcgen lightmap
    map $lightmap
    rgbGen identity
  }
  {
    map textures/exhibition/carpet.tga
    blendFunc filter
  }
}

textures/exhibition/chain_sprite
{
  qer_editorimage textures/exhibition/chain.tga
  surfaceparm trans
  surfaceparm nonsolid
  DeformVertexes autosprite2
  cull none
  nopicmip
  {
    map textures/exhibition/chain.tga
    blendFunc GL_ONE GL_ZERO
    alphaFunc GE128
    depthWrite
    rgbGen identity
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
  }
}

textures/exhibition/hydrant
{
  qer_editorimage textures/exhibition/hydrant.tga
  nopicmip
  {
    map textures/exhibition/hydrant.tga
    blendFunc GL_ONE GL_ZERO
    alphaFunc GE128
    depthWrite
    rgbGen identity
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
  }
}

textures/exhibition/wood_2dark
{
  q3map_nonplanar
  q3map_shadeangle 120
  qer_editorimage textures/exhibition/wood_2.tga
  {
    map textures/exhibition/wood_2.tga
    rgbGen const ( 0.8 0.8 0.8 )
  }
  {
    map $lightmap
    blendfunc filter
  }
}


textures/exhibition/wood4:q3map
{
  q3map_forcemeta
}


textures/exhibition/wood4_nonsolid
{
  surfaceparm nonsolid
  qer_editorimage textures/exhibition/wood4.tga
  {
    map textures/exhibition/wood4.tga
  }
  {
    map $lightmap
    blendfunc filter
  }
}


textures/exhibition/wood_2:q3map
{
  q3map_forcemeta
}


textures/exhibition/wood_2_nonsolid
{
  qer_editorimage textures/exhibition/wood_2.tga
  surfaceparm nonsolid
  {
    map textures/exhibition/wood_2.tga
  }
  {
    map $lightmap
    blendfunc filter
  }
}

textures/exhibition/plaster1:q3map
{
  q3map_forcemeta
}


//=========================================================================
//sky
//=========================================================================

textures/exhibition/sky
{
  qer_editorimage env/exhibition/morning_ft.tga
  q3map_lightmapFilterRadius 0 8	
  q3map_lightsubdivide 768
  q3map_backsplash 0 0

  q3map_sunExt 1 1 1 600 152 73 1 2
  q3map_skyLight 300 4
  q3map_lightRGB 1 0.97 0.69
 // q3map_lightRGB 1.0 0.8 0.5

  q3map_noFog

  surfaceparm sky
  surfaceparm nolightmap
  surfaceparm nomarks
  surfaceparm nodlight

  q3map_nolightmap
  skyparms env/exhibition/morning 1024 -

  nopicmip
  nomipmaps
}

//=========================================================================
//phong
//=========================================================================

textures/exhibition/cave_wall_phong
{
  q3map_nonplanar
  q3map_shadeangle 120
  qer_editorimage textures/exhibition/cave_wall.tga
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/exhibition/cave_wall.tga
    blendFunc filter
  }
}

textures/exhibition/wood_2_phong
{
  q3map_nonplanar
  q3map_shadeangle 120
  qer_editorimage textures/exhibition/wood_2.tga
  {
    map textures/exhibition/wood_2.tga
  }
  {
    map $lightmap
    blendfunc filter
  }
}

//=========================================================================
//glass
//=========================================================================

textures/exhibition/glass_s
{
  qer_editorimage textures/exhibition/glass.tga
  qer_trans 0.5
  q3map_bounceScale 0.0
  surfaceparm trans
  cull none
  {
    map textures/exhibition/glass.tga
    blendfunc GL_ONE GL_ONE
    rgbGen const ( 0.02 0.02 0.02 )
  }
  {
    map textures/exhibition/glass1.tga
    tcmod scale ( 0.1 0.1 )
    tcGen environment
    rgbGen const ( 0.08 0.08 0.08 )
    blendFunc GL_ONE GL_ONE
  }
}

textures/exhibition/glass2
{
  qer_editorimage textures/exhibition/glass.tga
  qer_trans 0.5
  q3map_bounceScale 0.0
  surfaceparm trans
  cull none
  q3map_forcemeta
  {
    map textures/exhibition/glass.tga
    blendfunc filter
    rgbGen const ( 0.8 0.8 0.8 )
  }
  {
    map textures/exhibition/glass1.tga
    tcGen environment
    rgbGen const ( 0.1 0.1 0.1 )
    blendFunc GL_ONE GL_ONE
  }
}

textures/exhibition/windows1_s
{
  qer_editorimage textures/exhibition/windows1.tga
  surfaceparm alphashadow
  surfaceparm nodamage
  surfaceparm trans
  surfaceparm nolightmap
  polygonoffset
//  qer_trans 0.5
  {
    map textures/exhibition/windows1.tga
    blendfunc blend
  }
}


//=========================================================================
//floor
//=========================================================================

textures/exhibition/tiles2_s
{
  qer_editorimage textures/exhibition/tiles2.tga
  {
    map textures/exhibition/tiles2.tga
  }
  {
    map $lightmap
    blendFunc filter
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/tiles2_no_lightmap
{
  q3map_nolightmap
  qer_editorimage textures/exhibition/tiles2.tga
  {
    map textures/exhibition/tiles2.tga
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble1_s
{
  qer_editorimage textures/exhibition/marble1.tga
  {
    map textures/exhibition/marble1.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble2_s
{
  qer_editorimage textures/exhibition/marble2.tga
  q3map_forcemeta
  {
    map textures/exhibition/marble2.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble2_2_s
{
  qer_editorimage textures/exhibition/marble2.tga
  polygonOffset
  q3map_forcemeta
  {
    map textures/exhibition/marble2.tga
//    rgbGen const ( 0.73 0.69 0.51 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble2_2_no_lightmap
{
  qer_editorimage textures/exhibition/marble2.tga
//  polygonOffset
  {
    map textures/exhibition/marble2.tga
//    rgbGen const ( 0.73 0.69 0.51 )
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble3_s
{
  qer_editorimage textures/exhibition/marble3.tga
  {
    map textures/exhibition/marble3.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble4_s
{
  surfaceparm nonsolid
  q3map_forcemeta
  qer_editorimage textures/exhibition/marble4.tga
  {
    map textures/exhibition/marble4.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble5_s
{
  qer_editorimage textures/exhibition/marble5.tga
  {
    map textures/exhibition/marble5.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}



textures/exhibition/marble6_s
{
  qer_editorimage textures/exhibition/marble6.tga
  {
    map textures/exhibition/marble6.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble7_s
{
  qer_editorimage textures/exhibition/marble7.tga
  {
    map textures/exhibition/marble7.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble8_s
{
  qer_editorimage textures/exhibition/marble8.tga
  {
    map textures/exhibition/marble8.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble9_s
{
  qer_editorimage textures/exhibition/marble9.tga
  {
    map textures/exhibition/marble9.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble10_s
{
  qer_editorimage textures/exhibition/marble10.tga
  q3map_forcemeta
  {
    map textures/exhibition/marble10.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble10_no_lightmap
{
  qer_editorimage textures/exhibition/marble10.tga
  {
    map textures/exhibition/marble10.tga
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble11_s
{
  qer_editorimage textures/exhibition/marble11.tga
  {
    map textures/exhibition/marble11.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble12_s
{
  qer_editorimage textures/exhibition/marble12.tga
  {
    map textures/exhibition/marble12.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble13_s
{
  qer_editorimage textures/exhibition/marble13.tga
  {
    map textures/exhibition/marble13.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble14_s
{
  qer_editorimage textures/exhibition/marble14.tga
  {
    map textures/exhibition/marble14.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble15_s
{
  qer_editorimage textures/exhibition/marble15.tga
  {
    map textures/exhibition/marble15.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble16_s
{
  qer_editorimage textures/exhibition/marble16.tga
  {
    map textures/exhibition/marble16.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble17_s
{
  qer_editorimage textures/exhibition/marble17.tga
  {
    map textures/exhibition/marble17.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble18_s
{
  qer_editorimage textures/exhibition/marble18.tga
  {
    map textures/exhibition/marble18.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble19_s
{
  qer_editorimage textures/exhibition/marble19.tga
  {
    map textures/exhibition/marble19.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble20_s
{
  qer_editorimage textures/exhibition/marble20.tga
  {
    map textures/exhibition/marble20.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/marble21_s
{
  qer_editorimage textures/exhibition/marble21.tga
  q3map_nonplanar
  q3map_shadeangle 120
  q3map_forcemeta
  {
    map textures/exhibition/marble21.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
}

textures/exhibition/wood2
{
  q3map_nonplanar
  q3map_shadeangle 120
  qer_editorimage textures/exhibition/wood2.tga
  {
    map textures/exhibition/wood2.tga
  }
  {
    map $lightmap
    blendfunc filter
  }
}

textures/exhibition/concrete2
{
  qer_editorimage textures/exhibition/concrete1.tga
  {
    map textures/exhibition/concrete1.tga
    rgbGen const ( 0.5 0.5 0.5 )
  }
  {
    map $lightmap
    blendfunc filter
  }
}

//=========================================================================
//detail
//=========================================================================

textures/exhibition/railing_s
{
  qer_editorimage textures/exhibition/railing.tga
  {
    map textures/exhibition/railing.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/beam
{
  qer_editorimage textures/exhibition/beam.tga
  surfaceparm trans	
  surfaceparm nomarks	
  surfaceparm nonsolid
  surfaceparm nolightmap
  cull none
  //surfaceparm nomipmaps
  nopicmip
  {
    map textures/exhibition/beam.tga
    tcMod Scroll .1 0
    blendFunc add
  }    
}

textures/exhibition/corona
{	
  deformVertexes autoSprite
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm nolightmap
  surfaceparm nonsolid
  cull none
    {
      clampmap textures/exhibition/corona.tga
      blendFunc add
    }
}

textures/exhibition/corona_green
{
  qer_editorimage textures/exhibition/corona.tga
  deformVertexes autoSprite
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm nolightmap
  surfaceparm nonsolid
  cull none
    {
      clampmap textures/exhibition/corona.tga
      rgbGen const ( 0.0 0.7 0.0 )
      blendFunc add
    }
}

textures/exhibition/corona_red
{
  qer_editorimage textures/exhibition/corona.tga
  deformVertexes autoSprite
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm nolightmap
  surfaceparm nonsolid
  cull none
    {
      clampmap textures/exhibition/corona.tga
      rgbGen const ( 0.7 0.0 0.0 )
      blendFunc add
    }
}

textures/exhibition/corona_blue
{
  qer_editorimage textures/exhibition/corona.tga
  deformVertexes autoSprite
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm nolightmap
  surfaceparm nonsolid
  cull none
    {
      clampmap textures/exhibition/corona.tga
      rgbGen const ( 0.0 0.0 0.7 )
      blendFunc add
    }
}

textures/exhibition/corona_gold
{
  qer_editorimage textures/exhibition/corona.tga
  deformVertexes autoSprite
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm nolightmap



  surfaceparm nonsolid
  cull none
    {
      clampmap textures/exhibition/corona.tga
      rgbGen const ( 0.99 0.76 0.0 )
      blendFunc add
    }
}

textures/exhibition/corona_black
{
  qer_editorimage textures/exhibition/corona.tga
  deformVertexes autoSprite
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm nolightmap
  surfaceparm nonsolid
  cull none
    {
      clampmap textures/exhibition/corona.tga
      rgbGen const ( 0.28 0 0.41 )
      blendFunc add
    }
}

textures/exhibition/carpet
{
  q3map_forcemeta
  q3map_bounceScale 0.2
  polygonOffset
  {
    map textures/exhibition/carpet.tga
    depthWrite
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/carpet_trim
{
  q3map_forcemeta
  polygonOffset
  nopicmip
  {
    map textures/exhibition/carpet_trim.tga
    alphafunc GE128
//    blendfunc add
    rgbGen const ( 0.8 0.8 0.8 )
    depthWrite
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/text_s
{
  qer_editorimage textures/exhibition/text.tga
  nopicmip
  {
    map textures/exhibition/text.tga
    rgbGen vertex
  }
}

textures/exhibition/clock_s
{
  qer_editorimage textures/exhibition/clock.tga
  {
    map textures/exhibition/clock.tga
    rgbGen vertex
  }
  {
    map textures/exhibition/clock2.tga
    tcMod rotate 0.1
    depthWrite
    alphaFunc GE128
  }
  {
    map textures/exhibition/clock3.tga
    tcMod rotate 0.001666666666666666666667
    depthWrite
    alphaFunc GE128
  }
  {
    map textures/exhibition/clock4.tga
    tcMod rotate 6
    depthWrite
    alphaFunc GE128
  }
}

//=========================================================================
//foliage
//=========================================================================

textures/exhibition/grass_s
{
	{
		map textures/exhibition/soil1.tga
//		rgbGen const ( 0.2 1 0.1 )
	}
	{
		map textures/exhibition/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen vertex
	}
	{
		map $whiteimage
		rgbgen vertex
		blendfunc filter
	}
}

textures/exhibition/grass2
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks 
  nopicmip 
  { 
    map textures/exhibition/grass2.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/plant01
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks 
  nopicmip 
  { 
    map textures/exhibition/plant01.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/plant02
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks 
  nopicmip
  { 
    map textures/exhibition/plant02.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/plant03
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks 
  nopicmip
  { 
    map textures/exhibition/plant03.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/plant04
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks 
  nopicmip
  { 
    map textures/exhibition/plant04.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/plant05
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks 
  nopicmip
  { 
    map textures/exhibition/plant05.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/plant20
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks 
  nopicmip
  { 
    map textures/exhibition/plant20.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/tree1
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks
  nopicmip
  { 
    map textures/exhibition/tree1.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

textures/exhibition/tree2
{     
  surfaceparm alphashadow
  cull none
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm nomarks
  nopicmip
  { 
    map textures/exhibition/tree2.tga
    rgbGen vertex
    depthWrite
    alphaFunc GE128
  } 
}

//=========================================================================
//other
//=========================================================================

textures/exhibition/light
{
  {
    map textures/exhibition/light.tga
  }
}

textures/exhibition/light
{
  {
    map textures/exhibition/spotlight.tga
    rgbgen vertex
  }
}

textures/exhibition/potlight2
{
  q3map_surfacelight 50
  {
    map textures/exhibition/potlight2.tga
  }
}

textures/exhibition/lamps
{
  q3map_surfacelight 1000
  {
    map textures/exhibition/lamps.tga
    rgbGen const ( 1 1 1 )
  }
}

textures/exhibition/lamps2
{
  q3map_surfacelight 1000
  {
    map textures/exhibition/lamps2.tga
  }
}

textures/exhibition/info01_back:q3map
{
  cull none
}

textures/exhibition/info01:q3map
{
  nopicmip
}

textures/exhibition/metal1
{
  qer_editorimage textures/exhibition/metal1.tga
  {
    map textures/exhibition/metal1.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/blackmetal
{
  {
    map textures/exhibition/blackmetal.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen vertex
  }
  {
    map textures/exhibition/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

//=========================================================================
//Stones
//=========================================================================

textures/exhibition/slate01
{
	{
		map textures/exhibition/stone41_2.tga
		rgbGen const ( 0.2 1 0.1 )
	}
	{
		map textures/exhibition/tint2.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/exhibition/entrance_stone1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen vertex
	}
	{
		map $whiteimage
		rgbgen vertex
		blendfunc filter
	}
}

textures/exhibition/quartz01
{
  qer_editorimage textures/exhibition/glass.tga
  qer_trans 0.5
  q3map_bounceScale 0.0
  cull none
  {
    map textures/exhibition/stone34.tga
    blendfunc GL_ONE GL_ONE
    rgbGen const ( 0.2 0.2 0.2 )
  }
  {
    map textures/exhibition/glass1.tga
    tcmod scale ( 0.1 0.1 )
    tcGen environment
    rgbGen const ( 0.08 0.08 0.08 )
    blendFunc GL_ONE GL_ONE
  }
}

textures/exhibition/geode0
{
	{
		map textures/exhibition/entrance_stone2.tga
		rgbGen const ( 0.2 1 0.1 )
	}
	{
		map textures/exhibition/tint2.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/exhibition/entrance_stone1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen vertex
	}
	{
		map $whiteimage
		rgbgen vertex
		blendfunc filter
	}
}

textures/exhibition/geode1
{
	{
		map textures/exhibition/entrance_stone2.tga
		rgbGen const ( 0.52 0 1 )
	}
	{
		map textures/exhibition/tint2.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/exhibition/stone33.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen vertex
	}
	{
		map $whiteimage
		rgbgen vertex
		blendfunc filter
	}
}

textures/exhibition/geode2
{
	{
		map textures/exhibition/entrance_stone2.tga
		rgbGen const ( 0.2 0.5 1 )
	}
	{
		map textures/exhibition/tint2.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/exhibition/stone.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen vertex
	}
	{
		map $whiteimage
		rgbgen vertex
		blendfunc filter
	}
}

textures/exhibition/geode3
{
	{
		map textures/exhibition/entrance_stone2.tga
		rgbGen const ( 0.3 0.3 1 )
	}
	{
		map textures/exhibition/tint2.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/exhibition/sword_Stone.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen vertex
	}


	{
		map $whiteimage
		rgbgen vertex
		blendfunc filter
	}
}

textures/exhibition/diablos_soulstone
{
  q3map_surfacelight 50
  {
    map textures/exhibition/diablos_soulstone.tga
  }
  {
    map textures/exhibition/tint_diablo.tga
    blendfunc filter
    tcMod scroll 0.01 0.015
  }
  {
    map textures/exhibition/tint_diablo.tga
    blendfunc gl_dst_color gl_src_color
    tcMod scale 0.1 0.1
    tcGen environment 
  }
}

textures/exhibition/welkynd_stone
{
  qer_editorimage textures/exhibition/varla_stone.tga
  q3map_surfacelight 50
  {
    map textures/exhibition/varla_stone.tga
    rgbGen const ( 0.6 0.8 0.8 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen vertex
  }
}

textures/exhibition/varla_stone
{
  q3map_surfacelight 50
  {
    map textures/exhibition/varla_stone.tga
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen vertex
  }
}

textures/exhibition/stone10
{	
	qer_editorimage textures/exhibition/stone10.tga
	qer_trans 0.5
	cull none
	{	
		map textures/exhibition/stone_transparent.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/exhibition/stone10.tga
		blendfunc filter
	}
}

textures/exhibition/stone16
{	
	qer_editorimage textures/exhibition/stone16.tga
	qer_trans 0.5
	cull none
	{	
		map textures/exhibition/stone_transparent.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/exhibition/stone16.tga
		blendfunc filter
	}
}


textures/exhibition/entrance_stone2
{
  {
    map textures/exhibition/entrance_stone2.tga
    rgbGen const ( 0 1 0 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/stone60_2s
{
  {
    map textures/exhibition/entrance_stone2.tga
    rgbGen const ( 0.82 0 1 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/geode2
{
  qer_editorimage textures/exhibition/entrance_stone2.tga
  {
    map textures/exhibition/entrance_stone2.tga
    rgbGen const ( 0.2 0.5 1 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/geode3
{
  qer_editorimage textures/exhibition/entrance_stone2.tga
  {
    map textures/exhibition/entrance_stone2.tga

    rgbGen const ( 0.4 1 1 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/geode4
{
  qer_editorimage textures/exhibition/entrance_stone2.tga
  {
    map textures/exhibition/entrance_stone2.tga
    rgbGen const ( 0.4 0 1 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }

  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/geode5
{
  qer_editorimage textures/exhibition/entrance_stone2.tga
  {
    map textures/exhibition/entrance_stone2.tga
    rgbGen const ( 0.53 0 1 )
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}


//=========================================================================
//gems
//=========================================================================

textures/exhibition/gem_of_true_sight
{
  qer_trans 0.5
  cull none
  {
    map textures/exhibition/gem_of_true_sight.tga
    blendFunc add
    rgbGen const ( 0.1 5.0 0.1 )
  }
}

textures/exhibition/gem_diamond01
{
  q3map_bouncescale 0
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc add
    rgbGen vertex
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_diamond02
{
  q3map_bouncescale 0
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc add
    rgbGen const ( 0.9 0.9 1 )
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_diamond03
{
  q3map_bouncescale 0
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc add
    rgbGen const ( 0.8 0.7 1 )
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_ruby01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_ruby02
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0.15 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_ruby03
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0 0.1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_ruby04
{

  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0.1 0.1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_spessartite01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0.45 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_spessartite02
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0.35 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_spessartite03
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0.45 0.15 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_spessartite04
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0.65 0.1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_amethyst01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.73 0 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_amethyst02
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.73 0.2 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_amethyst03
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.85 0 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_amethyst04
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.53 0 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_sapphire01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0 0 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_sapphire02
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0 0.15 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_sapphire03
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.2 0 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_sapphire04
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.15 0.15 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_emerald01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0 1 0.16 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_emerald02
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0 1 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_emerald03
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.15 1 0.16 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_emerald04
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0 1 0.3 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_topas01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 1 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_topas02

{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 1 0.1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_topas03
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0.9 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_topas04
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.9 1 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_citrine01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0.32 0.11 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_rhodochrosite01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 0 0.66 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_aquamarine01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0 1 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_moonstone01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 1 1 1 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/exhibition/gem_onyx01
{
  {
    map $lightmap
    rgbGen vertex
  }
  {
    map textures/exhibition/gem_diamond.tga
    blendfunc filter
    rgbGen const ( 0 0 0 )
    tcMod scale 2 2
  }
  {
    map textures/exhibition/tint2.tga
    tcGen environment
    rgbGen const ( 0.1 0.1 0.1 )
    blendFunc GL_ONE_MINUS_DST_COLOR GL_SRC_COLOR
  }
}

//=========================================================================
//poster
//=========================================================================
textures/exhibition/map:q3map
{
  nopicmip
}

textures/exhibition/poster07:q3map
{
  nopicmip
}

textures/exhibition/poster08:q3map
{
  nopicmip
}

textures/exhibition/poster09:q3map
{
  nopicmip
}

textures/exhibition/poster10:q3map
{
  nopicmip
}

textures/exhibition/poster11:q3map
{
  nopicmip
}

textures/exhibition/poster12:q3map
{
  nopicmip
}

textures/exhibition/poster13:q3map
{
  nopicmip
}

textures/exhibition/poster14:q3map
{
  nopicmip
}

textures/exhibition/poster19
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster19.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster20
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster20.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster21
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster21.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster22
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster22.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster23
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster23.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster24

{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster24.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster25
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster25.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster26
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster26.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster27
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster27.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster28
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster28.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster29
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster29.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster30
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster30.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster31
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster31.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster32
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster32.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster33
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster33.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster34
{
  q3map_forcemeta
  nopicmip
  {
    map textures/exhibition/poster34.tga
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/poster36
{
  nopicmip
  polygonOffset
  {
    map textures/exhibition/poster36.tga
    blendfunc filter
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/stonehenge
{
  nopicmip
  cull none
  {
    map textures/exhibition/stonehenge.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/moai
{
  nopicmip
  cull none
  {
    map textures/exhibition/moai.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

//=========================================================================
//decals
//=========================================================================

textures/exhibition/runestone_decal1_s
{
  qer_editorimage textures/exhibition/runestone_decal1.tga
  noPicMip
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/runestone_decal1.tga
    blendfunc add
  }
}

textures/exhibition/runestone_decal2_s
{
  qer_editorimage textures/exhibition/runestone_decal2.tga
  noPicMip
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/runestone_decal2.tga
    blendfunc add
  }
}

textures/exhibition/runestone_decal3_s
{
  qer_editorimage textures/exhibition/runestone_decal3.tga
  noPicMip
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/runestone_decal3.tga
    blendfunc add
  }
}

textures/exhibition/runestone_decal4_s
{
  qer_editorimage textures/exhibition/runestone_decal4.tga
  noPicMip
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/runestone_decal4.tga
    blendfunc filter
  }
}

textures/exhibition/runestone_decal5_s
{
  qer_editorimage textures/exhibition/runestone_decal5.tga
  noPicMip
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/runestone_decal5.tga
    blendfunc filter
  }
}

textures/exhibition/decal01
{
  qer_editorimage textures/exhibition/decal01.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal01.tga
  }
}

textures/exhibition/decal02
{
  qer_editorimage textures/exhibition/decal02.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal02.tga
    blendfunc filter
  }
}

textures/exhibition/decal03
{
  qer_editorimage textures/exhibition/decal03.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal03.tga
    blendfunc filter
  }
}

textures/exhibition/decal04
{
  qer_editorimage textures/exhibition/decal04.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal04.tga
    blendfunc filter
  }
}

textures/exhibition/decal05
{
  qer_editorimage textures/exhibition/decal05.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal05.tga
    blendfunc filter
  }
}

textures/exhibition/decal06
{
  qer_editorimage textures/exhibition/decal06.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal06.tga
    blendfunc filter
  }
}



textures/exhibition/decal07
{
  qer_editorimage textures/exhibition/decal07.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal07.tga
    blendfunc filter
  }
}

textures/exhibition/decal08
{
  qer_editorimage textures/exhibition/decal08.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal08.tga
    blendfunc filter
  }
}

textures/exhibition/decal09
{
  qer_editorimage textures/exhibition/decal09.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal09.tga
    blendfunc filter
  }
}

textures/exhibition/decal10
{
  qer_editorimage textures/exhibition/decal10.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal10.tga
    blendfunc filter
  }
}

textures/exhibition/decal11
{
  qer_editorimage textures/exhibition/decal11.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal11.tga
    blendfunc filter
  }
}

textures/exhibition/decal12
{
  qer_editorimage textures/exhibition/decal12.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal12.tga
    blendfunc filter
  }
}

textures/exhibition/decal13
{
  qer_editorimage textures/exhibition/decal13.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal13.tga
    blendfunc filter
  }
}

textures/exhibition/decal14
{
  qer_editorimage textures/exhibition/decal14.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal14.tga
    blendfunc filter
  }
}

textures/exhibition/decal15
{
  qer_editorimage textures/exhibition/decal15.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_bounceScale 0.0
  {
    map textures/exhibition/decal15.tga
    blendfunc filter
  }
}

textures/exhibition/floor_decal
{
  
  qer_editorimage textures/exhibition/floor_decal.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_forcemeta
  {
    map textures/exhibition/floor_decal.tga
//    rgbGen const ( 0.5 0.5 0.5 )
    blendfunc filter
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/floor_decal2
{
  qer_editorimage textures/exhibition/marble3.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  q3map_forcemeta
  {
    map textures/exhibition/marble2.tga
    rgbGen const ( 1 0.9 0.5 )
    blendfunc filter
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
  }
}

textures/exhibition/decal_round
{
  qer_editorimage textures/exhibition/decal_round.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  {
    map textures/exhibition/decal_round.tga
    blendfunc filter
  }
}

textures/exhibition/decal_border01
{
  qer_editorimage textures/exhibition/decal_border01.tga
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nonsolid
  polygonOffset
  {
    map textures/exhibition/decal_border01.tga
    blendfunc filter
  }
}

textures/exhibition/surveillance
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/exhibition/surveillance.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/exhibition/graffiti_urban
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/exhibition/graffiti_urban.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/exhibition/graffiti_terror
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/exhibition/graffiti_terror.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}
